openSuSE
Username:
Password:
Linki sponsorowane: | inwestycje | erasmus in warsaw
Strony: [1] 2
  Drukuj  
Autor Wątek: Problem z Skype.  (Przeczytany 2941 razy)
0 użytkowników i 1 Gość przegląda ten wątek.
wiktorpas
*
Offline Offline

Wiadomości: 4


« : Marzec 07, 2011, 17:53:08 »

Witam.
Mam problem ze Skypem. Instaluje go z pakietu rpm z oficjalnej strony skype. Program instaluje się bez problemu, ale nie uruchamia. Po kliknięciu pojawia się malutki symbol Skype'a przy kursorze, chwile "skacze" i nic. Nie pojawia się zaden komunikat czy informacja.
Byłbym niezwykle wdzięczny za pomoc bądź jakąś podpowiedź.
Zapisane
susek.info
Admin
*
Offline Offline

Wiadomości: 450



WWW
« Odpowiedz #1 : Marzec 07, 2011, 20:56:47 »

otwórz konsole i wpisz

sudo zypper in libpng12-0

brakuje pakietu

libpng12-0

jesli masz 32 bity
Zapisane

openSUSE Portal użytkowników - www.susek.info

wiktorpas
*
Offline Offline

Wiadomości: 4


« Odpowiedz #2 : Marzec 07, 2011, 21:47:43 »

Wielkie dzięki, pomogło.
Zapisane
czrs1056
*
Offline Offline

Wiadomości: 32


« Odpowiedz #3 : Marzec 18, 2011, 01:03:51 »

otwórz konsole i wpisz

sudo zypper in libpng12-0

brakuje pakietu

libpng12-0

jesli masz 32 bity
Mam 64bit system z KDE i już wiele opcji prubowałem w konsoli wpisałem i oto rezultat:

ojciec@linux-rtbd:~> sudo zypper in libpng12-0-32bit libqt4-x11-32bit libqt4-32bit xorg-x11-libXv-32bit
root's password:
Pobieranie metadanych repozytorium "PK_TMP_DIR" [gotowe]
Wczytywanie danych repozytorium...
Odczytywanie zainstalowanych pakietów...
Pakiet 'libpng12-0-32bit' nie został znaleziony.
Pakiet 'libqt4-32bit' nie został znaleziony.
Pakiet 'libqt4-x11-32bit' nie został znaleziony.
Pakiet 'xorg-x11-libXv-32bit' nie został znaleziony.
Rozwiązywanie zależności pakietu...

Brak zadań.
ojciec@linux-rtbd:~>
 Nie rozumię czemu nie został znaleziony jak podejżeć gdzie to ugrzęzło i po tym skype nie da się zainstalować.Czy od nowa system postaWIĆ I NAJWPIERW WZIĄŚĆ SIĘ ZA SKYPE? WPIERW ZAINSTALOWAŁEM KADU I USUNOŁEM JE BO JAKIEŚ BYŁY ZALEŻNOŚĆI A SONDAO/
Zapisane
susek.info
Admin
*
Offline Offline

Wiadomości: 450



WWW
« Odpowiedz #4 : Marzec 18, 2011, 08:59:23 »

Już wszystko mówie

mam 64 bit 11.4 KDE

zauważyłem że packgagekit co jakiś czas przebudowuje pełny indeks oprogramowania, co na komputerach z którymi miałem styczność trwało aż od 8 do 30 min w zależności od sprzętu

na czas przebudowy indeksu nie można nic instalować ani aktualizować

 jeśli po wykonaniu komendy np.

Kod:
sudo zypper in libpng12-0

pojawi się informacja w stylu

Kod:
PackageKit blokuje działanie zyppera. Jest to możliwe jeśli aktualnie inny program, np. aplet aktualizacji lub inny program do zarządzania oprogramowaniem korzysta z PackageKit.
Zamknąć PackageKit? [Tak/Nie] (Nie): t

lub przy próbie instalacji przez 1-clik instla dostaniemy komunikat

Kod:
Wystąpił nieoczekiwany problem.
Proszę zgłosić błąd wraz z jego opisem.
[PK_TMP_DIR|dir:///var/tmp/TmpDir.GAH1lW] Repository already exists.


Proponuje poczekać

aby z konsoli sprawdzić czy przebudowa indeksu się zakończyła możemy skorzystać z:

Kod:
ps -A | grep PackageKit

wyświetli ona wszystkie działające procesy o tej nazwie

jeśli jednak po odczekania aż proces zakończy swoje działanie będą występowały błędy polecam

uruchomić Yast

w oknie repozytoria oprogramowania usunąć wszystkie repozytoria oprócz


* openSUSE 11.4 OSS
* openSUSE 11.4 NON-OSS
* openSUSE 11.4 Update
* PackMan repository.

teraz kill'ujemy PackageKit lub restartujemy komputer

Kod:
sudo killall -9 PackageKit

oraz odświerzamy i  przebudowywyjemy nasz indeks
Kod:
sudo zypper refresh
Kod:
sudo zypper up -t package

teraz możemy przetestować poleceniem


Kod:
sudo zypper in libpng12-0

Zapisane

openSUSE Portal użytkowników - www.susek.info

czrs1056
*
Offline Offline

Wiadomości: 32


« Odpowiedz #5 : Marzec 18, 2011, 19:34:28 »

A więc zrobiłem to w konsoli :

ojciec@linux-rtbd:~> sudo zypper in libpng12-0-32bit libqt4-x11-32bit libqt4-32bit xorg-x11-libXv-32bit
root's password:
Pobieranie metadanych repozytorium "PK_TMP_DIR" [gotowe]
Pobieranie metadanych repozytorium "Packman Repository" [gotowe]
Budowanie pamięci podręcznej repozytorium "Packman Repository" [gotowe]
Wczytywanie danych repozytorium...
Odczytywanie zainstalowanych pakietów...
Pakiet 'libpng12-0-32bit' nie został znaleziony.
Pakiet 'libqt4-32bit' nie został znaleziony.
Pakiet 'libqt4-x11-32bit' nie został znaleziony.
Pakiet 'xorg-x11-libXv-32bit' nie został znaleziony.
Rozwiązywanie zależności pakietu...

Brak zadań.
ojciec@linux-rtbd:~>

I sprawdziłem czy tam nic nie działa w PackageKit

ojciec@linux-rtbd:~> ps -A | grep PackageKit
ojciec@linux-rtbd:~>

Wygląda na to że system nic nie robi ale dla pewności odczekam jeszcze 30 minut i zrobię restart i wtedy sprawdzę jeszcze raz.Szkoda że ten system nie wykorzystuje całej pamięci 4GB HYPER X Kingstona na 1066MHzDDR3.Dzięki za łopatologiczne wyjaśnienie jak ten system działa bo mi zaczoł się zawieszać tak jak SuSe11.3
« Ostatnia zmiana: Marzec 18, 2011, 20:38:03 wysłane przez susek.info » Zapisane
susek.info
Admin
*
Offline Offline

Wiadomości: 450



WWW
« Odpowiedz #6 : Marzec 18, 2011, 20:42:11 »

z tego co widzę to brakuje ci podstawowych repozytoriów

musisz dodać następujące repozytoria

Kod:
http://download.opensuse.org/distribution/11.4/repo/oss/

Kod:
http://download.opensuse.org/distribution/11.4/repo/non-oss/

Kod:
http://download.opensuse.org/update/11.4/

opis tutaj

http://en.opensuse.org/SDB:Add_package_repositories

po tym możesz już wykonać

Kod:
sudo zypper in libpng12-0-32bit libqt4-x11-32bit libqt4-32bit xorg-x11-libXv-32bit

Zapisane

openSUSE Portal użytkowników - www.susek.info

czrs1056
*
Offline Offline

Wiadomości: 32


« Odpowiedz #7 : Marzec 18, 2011, 21:03:40 »



Po przerwie zrobiłem jeszcze to i pierwszy pakiet jest zainstalowany pozostałe 3 nie.A tu co w konsoli robiłem :

ojciec@linux-rtbd:~> sudo killall -9 PackageKit
root's password:
PackageKit: nie znaleziono żadnego procesu
ojciec@linux-rtbd:~> sudo zypper refresh
Repozytorium "Packman Repository" jest aktualne.
Repozytorium "openSUSE-11.4-Non-Oss" jest aktualne.
Repozytorium "openSUSE-11.4-Oss" jest aktualne.
Odświeżono wszystkie repozytoria.

Stwierdziłem brak Update SuSe11.4!!

ojciec@linux-rtbd:~> sudo zypper up -t package
Wczytywanie danych repozytorium...
Odczytywanie zainstalowanych pakietów...

Następujące pakiety są sugerowane, ale nie zostaną zainstalowane:
  gstreamer-0_10-plugin-gnomevfs gstreamer-0_10-plugin-hal
  gstreamer-0_10-plugins-base gstreamer-0_10-plugins-good k3b libgstapp-0_10-0
  libgstinterfaces-0_10-0 libquicktime libwavpack1 mjpegtools sox taglib

Brak zadań.
ojciec@linux-rtbd:~> sudo zypper in libpng12-0
Wczytywanie danych repozytorium...
Odczytywanie zainstalowanych pakietów...
"libpng12-0" jest już zainstalowany.
Nie znaleziono aktualizacji dla 'libpng12-0-1.2.44-7.1.i586'. Pakiet jest już zainstalowany w najnowszej dostępnej wersji.
Rozwiązywanie zależności pakietu...

Brak zadań.
ojciec@linux-rtbd:~> sudo zypper in libqt4-x11-32bit
Wczytywanie danych repozytorium...
Odczytywanie zainstalowanych pakietów...
Pakiet 'libqt4-x11-32bit' nie został znaleziony.
Rozwiązywanie zależności pakietu...

Brak zadań.
ojciec@linux-rtbd:~> sudo zypper in libqt4-32bit
Wczytywanie danych repozytorium...
Odczytywanie zainstalowanych pakietów...
Pakiet 'libqt4-32bit' nie został znaleziony.
Rozwiązywanie zależności pakietu...

Brak zadań.
ojciec@linux-rtbd:~> sudo zypper in xorg-x11-libXv-32bit
Wczytywanie danych repozytorium...
Odczytywanie zainstalowanych pakietów...
Pakiet 'xorg-x11-libXv-32bit' nie został znaleziony.
Rozwiązywanie zależności pakietu...

Brak zadań.
ojciec@linux-rtbd:~>
A wiec ciekaw jestem co dalej?Chyba przeinstaluje system od nowa i zobaczę jak tym razem pójdzie.
« Ostatnia zmiana: Marzec 18, 2011, 21:21:17 wysłane przez susek.info » Zapisane
susek.info
Admin
*
Offline Offline

Wiadomości: 450



WWW
« Odpowiedz #8 : Marzec 18, 2011, 21:24:30 »

wklej co zwróci ci poniższa komenda

Kod:
zypper lr

i wklej co zwróci ci komenda

Kod:
uname -a
« Ostatnia zmiana: Marzec 18, 2011, 21:26:36 wysłane przez susek.info » Zapisane

openSUSE Portal użytkowników - www.susek.info

czrs1056
*
Offline Offline

Wiadomości: 32


« Odpowiedz #9 : Marzec 19, 2011, 00:55:11 »


ojciec@linux-rtbd:~> zypper lr
# | Alias                | Nazwa                      | Włączono | Odśwież
--+----------------------+----------------------------+----------+--------
1 | PK_TMP_DIR                   | PK_TMP_DIR                               | Tak      | Tak    
2 | openSUSE-11.4-11.4-0  | openSUSE-11.4-11.4-0             | Tak      | Nie    
3 | repo-debug                    | openSUSE-11.4-Debug             | Nie      | Tak    
4 | repo-debug-update       | openSUSE-11.4-Update-Debug | Nie      | Tak    
5 | repo-non-oss                 | openSUSE-11.4-Non-Oss           | Tak      | Tak    
6 | repo-oss                        | openSUSE-11.4-Oss                   | Tak      | Tak    
7 | repo-source                   | openSUSE-11.4-Source              | Nie      | Tak    
8 | repo-update                   | openSUSE-11.4-Update             | Tak      | Tak    
ojciec@linux-rtbd:~> uname -a
Linux linux-rtbd.site 2.6.37.1-1.2-desktop #1 SMP PREEMPT 2011-02-21 10:34:10 +0100 i686 i686 i386 GNU/Linux
ojciec@linux-rtbd:~>
« Ostatnia zmiana: Marzec 19, 2011, 08:49:59 wysłane przez susek.info » Zapisane
susek.info
Admin
*
Offline Offline

Wiadomości: 450



WWW
« Odpowiedz #10 : Marzec 19, 2011, 08:51:43 »

Cytuj
ojciec@linux-rtbd:~> uname -a
Linux linux-rtbd.site 2.6.37.1-1.2-desktop #1 SMP PREEMPT 2011-02-21 10:34:10 +0100 i686 i686 i386 GNU/Linux

masz system 32 bitowy a nie 64 bitowy

Linux linux-rtbd.site 2.6.37.1-1.2-desktop #1 SMP PREEMPT 2011-02-21 10:34:10 +0100 i686 i686 i386 GNU/Linux

dla 64 tak to wygląda

Linux linux-3qte.site 2.6.37.1-1.2-desktop #1 SMP PREEMPT 2011-02-21 10:34:10 +0100 x86_64 x86_64 x86_64 GNU/Linux


po zainstalowaniu  libpng

Kod:
sudo zypper in libpng12-0

możesz uruchomić Skype i powinien działać

pakiety -32bit dostępne są tylko dla systemów 64 bitowych aktualnie system nie wyświetla info na temat błędu architektury tylko informacje package not found
« Ostatnia zmiana: Marzec 19, 2011, 10:26:19 wysłane przez susek.info » Zapisane

openSUSE Portal użytkowników - www.susek.info

czrs1056
*
Offline Offline

Wiadomości: 32


« Odpowiedz #11 : Marzec 19, 2011, 13:32:44 »



Ok zasysam 64bit System i instalacja od nowa.Przedtem zaznaczyłem 64bit i DVD a tu ci takie szopki wyszły nie spodziewałem się tego.Nawet informacji przy instalacji nie było że instaluje się system 32bit na architekturę 64 bitową zawsze miałem taki komunikat we wcześniejszych wersjach SuSe11...
Jeszcze raz dzięki  za pomoc. Jak zainstaluję 64bitową wersję dam znać jak to poszło ze skype.
« Ostatnia zmiana: Marzec 19, 2011, 13:43:32 wysłane przez susek.info » Zapisane
czrs1056
*
Offline Offline

Wiadomości: 32


« Odpowiedz #12 : Marzec 19, 2011, 19:15:15 »



Ok zasysam 64bit System i instalacja od nowa.Przedtem zaznaczyłem 64bit i DVD a tu ci takie szopki wyszły nie spodziewałem się tego.Nawet informacji przy instalacji nie było że instaluje się system 32bit na architekturę 64 bitową zawsze miałem taki komunikat we wcześniejszych wersjach SuSe11...
Jeszcze raz dzięki  za pomoc. Jak zainstaluję 64bitową wersję dam znać jak to poszło ze skype.

Instalacja dodatkowych pakietów do Skype przebiegła tak:
ojciec@linux-hsym:~> sudo zypper in libpng12-0-32bit libqt4-x11-32bit libqt4-32bit xorg-x11-libXv-32bit

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

    #1) Respect the privacy of others.
    #2) Think before you type.
    #3) With great power comes great responsibility.

root's password:
Wczytywanie danych repozytorium...
Odczytywanie zainstalowanych pakietów...
"xorg-x11-libXv-32bit" jest już zainstalowany.
Nie znaleziono aktualizacji dla 'xorg-x11-libXv-32bit-7.6-6.1.x86_64'. Pakiet jest już zainstalowany w najnowszej dostępnej wersji.
Rozwiązywanie zależności pakietu...

Następujące nowe pakiety zostaną zainstalowane:
  libmysqlclient_r16-32bit libpng12-0-32bit libqt4-32bit
  libqt4-qt3support-32bit libqt4-sql-32bit libqt4-sql-mysql-32bit
  libqt4-sql-sqlite-32bit libqt4-x11-32bit

8 nowych pakietów do zainstalowania.
Całkowity rozmiar danych do pobrania: 12,5 MiB Po wykonaniu operacji użyte
zostanie dodatkowo 36,5 MiB.
Czy kontynuować? [t/n/?] (t): t
Pobieranie pakiet libqt4-32bit-4.7.1-7.1.x86_64 (1/8), 1,9 MiB (6,0 MiB po zainstalowaniu)
Pobieranie: libqt4-32bit-4.7.1-7.1.x86_64.rpm [gotowe (612,1 KiB/s)]
Pobieranie pakiet libpng12-0-32bit-1.2.44-7.1.x86_64 (2/8), 73,0 KiB (166,0 KiB po zainstalowaniu)
Pobieranie: libpng12-0-32bit-1.2.44-7.1.x86_64.rpm [gotowe]
Pobieranie pakiet libmysqlclient_r16-32bit-5.1.53-4.7.1.x86_64 (3/8), 481,0 KiB (1,5 MiB po zainstalowaniu)
Pobieranie: libmysqlclient_r16-32bit-5.1.53-4.7.1.x86_64.rpm [gotowe (528,2 KiB/s)]
Pobieranie pakiet libqt4-sql-32bit-4.7.1-7.1.x86_64 (4/8), 97,0 KiB (251,0 KiB po zainstalowaniu)
Pobieranie: libqt4-sql-32bit-4.7.1-7.1.x86_64.rpm [gotowe (476,8 KiB/s)]
Pobieranie pakiet libqt4-x11-32bit-4.7.1-7.1.x86_64 (5/8), 8,9 MiB (25,4 MiB po zainstalowaniu)
Pobieranie: libqt4-x11-32bit-4.7.1-7.1.x86_64.rpm [gotowe (658,1 KiB/s)]
Pobieranie pakiet libqt4-sql-sqlite-32bit-4.7.1-7.1.x86_64 (6/8), 26,0 KiB (51,0 KiB po zainstalowaniu)
Pobieranie: libqt4-sql-sqlite-32bit-4.7.1-7.1.x86_64.rpm [gotowe]
Pobieranie pakiet libqt4-sql-mysql-32bit-4.7.1-7.2.x86_64 (7/8), 33,0 KiB (71,0 KiB po zainstalowaniu)
Pobieranie: libqt4-sql-mysql-32bit-4.7.1-7.2.x86_64.rpm [gotowe]
Pobieranie pakiet libqt4-qt3support-32bit-4.7.1-7.1.x86_64 (8/8), 1011,0 KiB (3,1 MiB po zainstalowaniu)
Pobieranie: libqt4-qt3support-32bit-4.7.1-7.1.x86_64.rpm [gotowe (588,1 KiB/s)]
Instalowanie: libqt4-32bit-4.7.1-7.1 [gotowe]
Instalowanie: libpng12-0-32bit-1.2.44-7.1 [gotowe]
Instalowanie: libmysqlclient_r16-32bit-5.1.53-4.7.1 [gotowe]
Instalowanie: libqt4-sql-32bit-4.7.1-7.1 [gotowe]
Instalowanie: libqt4-x11-32bit-4.7.1-7.1 [gotowe]
Instalowanie: libqt4-sql-sqlite-32bit-4.7.1-7.1 [gotowe]
Instalowanie: libqt4-sql-mysql-32bit-4.7.1-7.2 [gotowe]
Instalowanie: libqt4-qt3support-32bit-4.7.1-7.1 [gotowe]
ojciec@linux-hsym:~>

Instalacja Skype przebiegła prawidłowo!!

Instalacja oprogramowania
Instalacja zakończona powodzeniem
 
Jest tylko drobne "ale" gdzie znaleźć ten skype żeby go odpalić.W starym systemie było takie coś jak: Więcej Programów i tam był Skype. A tu w rozmowach nie ma go?

Wielkie dzięki za dotychczasową pomoc i mam nadzieję że ktoś podpowie gdzie go znaleźć bo jak wpisuje znajdź Skype to wyskakują te pakiety które trzeba było doinstalowaćprzed Skype by go potem zainstalować.
A może po tych działaniach trzeba restart kompa zrobić?
Zapisane
susek.info
Admin
*
Offline Offline

Wiadomości: 450



WWW
« Odpowiedz #13 : Marzec 19, 2011, 20:18:28 »

Jeśli tylko zainstalowałeś skype spod linku

http://www.skype.com/go/getskype-linux-beta-suse

(to co podałeś wyżej to dodatkowe pliki dla skype)

Skype znajdziesz w

Start >> Programy >> Internet >> Więcej programów >> Skype
Zapisane

openSUSE Portal użytkowników - www.susek.info

czrs1056
*
Offline Offline

Wiadomości: 32


« Odpowiedz #14 : Marzec 19, 2011, 20:39:14 »

Jeśli tylko zainstalowałeś skype spod linku

http://www.skype.com/go/getskype-linux-beta-suse

(to co podałeś wyżej to dodatkowe pliki dla skype)

Skype znajdziesz w

Start >> Programy >> Internet >> Więcej programów >> Skype

Jeszcze raz zainstalowałem Skype i tym razem znalazła się opcja więcej programów i w końcu był tam Skype.Chyba tak jak pisałeś tenPacagekit czasami robi jaja.ale w końcu zadziałał mi Skype i kadu zainstalowałem. Dzięki za twoją pomoc. Ale widzę że dużo czasu spędzasz przed komputerem i mam jeszce jedno pytanie odnośnie wygaszacza ekranu jest to denerwujące ciągle ruszać myszką aby obejżeć film.Gdzie to ustawić.Dzięki za twoją nieocenioną pomoc!!
Zapisane
Strony: [1] 2
  Drukuj  
 
Skocz do:  

erasmus - serwis komputerowy lubin - projektowanie stron lubin - cuprum lubin - projektowanie stron - zaproszenia lockerz - notatki studenckie
Template modified by designworld.pl